Track (JavaFX 17)

Module javafx.media
Package javafx.scene.media

## Class Track

- java.lang.Object
- - javafx.scene.media.Track

- Direct Known Subclasses:
    `AudioTrack`, `SubtitleTrack`, `VideoTrack`

      public abstract class Track
      extends Object

  A class representing a track contained in a media resource. A media resource may have multiple parallel tracks, such as a video track with several audio tracks in different languages. The types of tracks supported by the system may be inferred from the existing subclasses of this class. Not all media resources will contain a track of each supported type, and the time span of a given track need not be commensurate with the time span of the containing media.
  Since:
    JavaFX 2.0

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Locale` | `getLocale()` | The `Locale` specifying the language and possibly the country that the `Track` contents are formatted for.
    `Map<String,​Object>` | `getMetadata()` |
    `String` | `getName()` | Retrieves the name of the track.
    `long` | `getTrackID()` | Get the track ID as defined by the media container format.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public final String getName()

      Retrieves the name of the track.
      Returns:
        the track name or `null`.

    - #### getLocale

          public final Locale getLocale()

      The `Locale` specifying the language and possibly the country that the `Track` contents are formatted for. For `AudioTrack`s this will be the language spoken, for `SubtitleTrack`s this will be the language presented in the captions. Not all `Track`s will have an associated language, in which case this method will return null.
      Returns:
        the `Track`s language information or null
      Since:
        JavaFX 8.0

    - #### getTrackID

          public final long getTrackID()

      Get the track ID as defined by the media container format. The ID of each `Track` must be unique for its source `Media`.
      Returns:
        the `Track`s unique ID
      Since:
        JavaFX 8.0

    - #### getMetadata

          public final Map<String,​Object> getMetadata()

      Returns:
        a Map containing all known metadata for this `Track`
      Since:
        JavaFX 8.0